### File

`src/lib/window-action-bar/window-action-bar.component.ts`

### Metadata

selector | `rxap-window-action-bar`
standalone | `true`
imports | `NgIf` `MatToolbarModule`
styleUrls | `./window-action-bar.component.scss`
templateUrl | `./window-action-bar.component.html`

### Index

###### Properties

- Public definitions
- Public injector
- Public position

### Constructor

`constructor(context: any, injector: Injector)`
Defined in src/lib/window-action-bar/window-action-bar.component.ts:21

Parameters :

Name | Type | Optional
context | `any` | No
injector | `Injector` | No

### Properties

Public definitions
Type : `ButtonDefinition<any>[] | null`
Default value : `null`
Defined in src/lib/window-action-bar/window-action-bar.component.ts:20

Public injector
Type : `Injector`
Defined in src/lib/window-action-bar/window-action-bar.component.ts:23

Public position
Type : `string`
Default value : `'start'`
Defined in src/lib/window-action-bar/window-action-bar.component.ts:21

    import {
      Component,
      Inject,
      Injector,
    } from '@angular/core';
    import { RXAP_WINDOW_CONTEXT } from '../tokens';
    import { ButtonDefinition } from '@rxap/rxjs';
    import { MatToolbarModule } from '@angular/material/toolbar';
    import { NgIf } from '@angular/common';

    @Component({
      selector: 'rxap-window-action-bar',
      templateUrl: './window-action-bar.component.html',
      styleUrls: [ './window-action-bar.component.scss' ],
      standalone: true,
      imports: [ NgIf, MatToolbarModule ],
    })
    export class WindowActionBarComponent {

      public definitions: ButtonDefinition<any>[] | null = null;
      public position = 'start';

      constructor(@Inject(RXAP_WINDOW_CONTEXT) context: any, public injector: Injector) {
        if (context.windowRef.settings.actions) {
          this.definitions = context.windowRef.settings.actions.definitions;
          this.position = context.windowRef.settings.actions.position || this.position;
        }
      }

    }

    <mat-toolbar-row *ngIf="definitions" class="p-2 flex flex-row gap-2 justify-{{position}} items-center">
      <span>this feature is removed</span>
    </mat-toolbar-row>

`./window-action-bar.component.scss`

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""